-- MySQL dump 10.13  Distrib 5.1.47, for redhat-linux-gnu (x86_64)
--
-- Host: localhost    Database: tool
-- ------------------------------------------------------
-- Server version	5.1.47

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `AOPCalendar`
--

DROP TABLE IF EXISTS `AOPCalendar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `AOPCalendar` (
  `Year` year(4) NOT NULL,
  `Jan` int(11) DEFAULT NULL,
  `Feb` int(11) DEFAULT NULL,
  `Mar` int(11) DEFAULT NULL,
  `Apr` int(11) DEFAULT NULL,
  `May` int(11) DEFAULT NULL,
  `Jun` int(11) DEFAULT NULL,
  `Jul` int(11) DEFAULT NULL,
  `Aug` int(11) DEFAULT NULL,
  `Sep` int(11) DEFAULT NULL,
  `Oct` int(11) DEFAULT NULL,
  `Nov` int(11) DEFAULT NULL,
  `Dec` int(11) DEFAULT NULL,
  PRIMARY KEY (`Year`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Actuals`
--

DROP TABLE IF EXISTS `Actuals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Actuals` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `ChargeNumber` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `Hours` decimal(4,1) NOT NULL,
  `Date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Project` text COLLATE utf8_unicode_ci NOT NULL,
  UNIQUE KEY `EID` (`EID`,`ChargeNumber`,`Year`,`FiscalMonth`),
  KEY `ChargeNumber` (`ChargeNumber`),
  CONSTRAINT `Actuals_ibfk_1` FOREIGN KEY (`ChargeNumber`) REFERENCES `Task` (`SAP_ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ActualsCost`
--

DROP TABLE IF EXISTS `ActualsCost`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ActualsCost` (
  `Project_SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Activity_SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityName` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `CreationDate` date NOT NULL,
  `PostingDate` date NOT NULL,
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `Description` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `Category` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Quantity` double NOT NULL,
  `Value_USD` double NOT NULL,
  `Value_CZK` double NOT NULL,
  `Value` double NOT NULL,
  `Currency` varchar(100) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ActualsWaste`
--

DROP TABLE IF EXISTS `ActualsWaste`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ActualsWaste` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `ChargeNumber` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `Hours` decimal(4,1) NOT NULL,
  `Date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Project` text COLLATE utf8_unicode_ci NOT NULL,
  UNIQUE KEY `EID` (`EID`,`ChargeNumber`,`Year`,`FiscalMonth`),
  KEY `ChargeNumber` (`ChargeNumber`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CostCenter`
--

DROP TABLE IF EXISTS `CostCenter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CostCenter` (
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `TaskNamePrefix` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`CostCenter_ID`),
  UNIQUE KEY `TaskNamePrefix` (`TaskNamePrefix`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer`
--

DROP TABLE IF EXISTS `Customer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer` (
  `Customer_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Customer_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DataFile`
--

DROP TABLE IF EXISTS `DataFile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DataFile` (
  `DataFile_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Project_ID` int(11) NOT NULL,
  `Year` year(4) DEFAULT NULL,
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  PRIMARY KEY (`DataFile_ID`),
  KEY `Project_ID` (`Project_ID`),
  CONSTRAINT `DataFile_ibfk_1` FOREIGN KEY (`Project_ID`) REFERENCES `Project` (`Project_ID`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=552 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Department`
--

DROP TABLE IF EXISTS `Department`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Department` (
  `Department_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`Department_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ExchangeRate`
--

DROP TABLE IF EXISTS `ExchangeRate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExchangeRate` (
  `SourceCurrency` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `TargetCurrency` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `Year` int(11) NOT NULL,
  `Month` int(11) NOT NULL,
  `Value` decimal(8,2) NOT NULL,
  PRIMARY KEY (`SourceCurrency`,`TargetCurrency`,`Year`,`Month`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `FiscalCalendar`
--

DROP TABLE IF EXISTS `FiscalCalendar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `FiscalCalendar` (
  `Year` year(4) NOT NULL,
  `FiscalMonth` int(11) NOT NULL,
  `From` date NOT NULL,
  `To` date NOT NULL,
  `AOPHours` int(11) NOT NULL,
  UNIQUE KEY `Year` (`Year`,`FiscalMonth`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `GlobalSetting`
--

DROP TABLE IF EXISTS `GlobalSetting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `GlobalSetting` (
  `Key` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `Value` text COLLATE utf8_unicode_ci,
  `Default` text COLLATE utf8_unicode_ci NOT NULL,
  `DataType` enum('string','float','int','ufloat','uint','boolean') COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`Key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Group`
--

DROP TABLE IF EXISTS `Group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Group` (
  `Group_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Department_ID` int(11) NOT NULL,
  PRIMARY KEY (`Group_ID`),
  KEY `Department_ID` (`Department_ID`),
  CONSTRAINT `Group_ibfk_1` FOREIGN KEY (`Department_ID`) REFERENCES `Department` (`Department_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Hour`
--

DROP TABLE IF EXISTS `Hour`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Hour` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `Percentage` decimal(3,2) DEFAULT '1.00',
  `Jan` int(11) DEFAULT NULL,
  `Feb` int(11) DEFAULT NULL,
  `Mar` int(11) DEFAULT NULL,
  `Apr` int(11) DEFAULT NULL,
  `May` int(11) DEFAULT NULL,
  `Jun` int(11) DEFAULT NULL,
  `Jul` int(11) DEFAULT NULL,
  `Aug` int(11) DEFAULT NULL,
  `Sep` int(11) DEFAULT NULL,
  `Oct` int(11) DEFAULT NULL,
  `Nov` int(11) DEFAULT NULL,
  `Dec` int(11) DEFAULT NULL,
  KEY `EID` (`EID`),
  CONSTRAINT `Hour_ibfk_1` FOREIGN KEY (`EID`) REFERENCES `Person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Log`
--

DROP TABLE IF EXISTS `Log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Log` (
  `Log_ID` int(11) NOT NULL AUTO_INCREMENT,
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `SQL` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  `Error` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Info` varchar(500) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`Log_ID`)
) ENGINE=MyISAM AUTO_INCREMENT=94188 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `News`
--

DROP TABLE IF EXISTS `News`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `News` (
  `News_ID` int(11) NOT NULL AUTO_INCREMENT,
  `PublishDate` datetime DEFAULT NULL,
  `Title` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Annotation` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `Text` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`News_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Person`
--

DROP TABLE IF EXISTS `Person`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Person` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `Surname` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CostCenter` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'EEEPZZA1',
  `Group_ID` int(11) DEFAULT NULL,
  `Group_Leader` tinyint(1) DEFAULT '0',
  `Department_Manager` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`EID`),
  KEY `Group_ID` (`Group_ID`),
  KEY `fk_costcenter` (`CostCenter`),
  CONSTRAINT `fk_costcenter` FOREIGN KEY (`CostCenter`) REFERENCES `CostCenter` (`CostCenter_ID`),
  CONSTRAINT `Person_ibfk_1` FOREIGN KEY (`Group_ID`) REFERENCES `Group` (`Group_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Person_Skill`
--

DROP TABLE IF EXISTS `Person_Skill`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Person_Skill` (
  `EID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Skill_ID` int(11) NOT NULL,
  KEY `EID` (`EID`),
  KEY `Skill_ID` (`Skill_ID`),
  CONSTRAINT `Person_Skill_ibfk_1` FOREIGN KEY (`EID`) REFERENCES `Person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `Person_Skill_ibfk_2` FOREIGN KEY (`Skill_ID`) REFERENCES `Skill` (`Skill_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Person_Task`
--

DROP TABLE IF EXISTS `Person_Task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Person_Task` (
  `Person_Task` int(11) NOT NULL AUTO_INCREMENT,
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `Task_ID` int(11) NOT NULL,
  `Year` year(4) NOT NULL,
  `Month` int(11) NOT NULL,
  `Hours` int(11) DEFAULT '0',
  `Version` int(11) DEFAULT '0',
  `Modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`Person_Task`),
  KEY `EID` (`EID`),
  KEY `Task_ID` (`Task_ID`),
  KEY `Person_Task_ibfk_3` (`Task_ID`,`Year`),
  CONSTRAINT `Person_Task_ibfk_3` FOREIGN KEY (`Task_ID`, `Year`) REFERENCES `TaskPlan` (`Task_ID`, `Year`) ON DELETE CASCADE,
  CONSTRAINT `Person_Task_ibfk_1` FOREIGN KEY (`EID`) REFERENCES `Person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `Person_Task_ibfk_2` FOREIGN KEY (`Task_ID`) REFERENCES `Task` (`Task_ID`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=32375 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Project`
--

DROP TABLE IF EXISTS `Project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Project` (
  `Project_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `EU_SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PIPM` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `TM` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PMOE` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PPaC` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Type` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Customer` int(11) DEFAULT NULL,
  `Responsibility` int(11) DEFAULT NULL,
  `Description` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` date DEFAULT NULL,
  `Phase` enum('Planned','Closed','Active') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Planned',
  `State` int(11) NOT NULL DEFAULT '0',
  `Remark` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LastStateChange` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `KeyCode` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `EUKeyCode` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PO` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PO_number` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PMO` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Start` date DEFAULT NULL,
  `End` date DEFAULT NULL,
  `TotalBudget` decimal(20,2) DEFAULT NULL,
  PRIMARY KEY (`Project_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `PIPM` (`PIPM`),
  KEY `PMOE` (`PMOE`),
  KEY `PPaC` (`PPaC`),
  KEY `TM` (`TM`),
  KEY `State` (`State`),
  KEY `Customer` (`Customer`),
  KEY `Responsibility` (`Responsibility`),
  CONSTRAINT `Project_ibfk_3` FOREIGN KEY (`PPaC`) REFERENCES `Person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `Project_fk` FOREIGN KEY (`TM`) REFERENCES `Person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `Project_fk1` FOREIGN KEY (`State`) REFERENCES `State` (`Number`),
  CONSTRAINT `Project_fk2` FOREIGN KEY (`Customer`) REFERENCES `Customer` (`Customer_ID`),
  CONSTRAINT `Project_fk3` FOREIGN KEY (`Responsibility`) REFERENCES `Responsibility` (`Responsibility_ID`),
  CONSTRAINT `Project_ibfk_1` FOREIGN KEY (`PIPM`) REFERENCES `Person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `Project_ibfk_2` FOREIGN KEY (`PMOE`) REFERENCES `Person` (`EID`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1550 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ProjectNew`
--

DROP TABLE IF EXISTS `ProjectNew`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ProjectNew` (
  `Project_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PIPM` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `TM` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PMOE` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PPaC` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Type` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Customer` int(11) DEFAULT NULL,
  `Responsibility` int(11) DEFAULT NULL,
  `Description` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` date DEFAULT NULL,
  `Phase` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `State` int(11) NOT NULL DEFAULT '0',
  `Remark` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LastStateChange` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `KeyCode` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PO` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PMO` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Start` date DEFAULT NULL,
  `End` date DEFAULT NULL,
  `TotalBudget` decimal(20,2) DEFAULT NULL,
  PRIMARY KEY (`Project_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `PIPM` (`PIPM`),
  KEY `PMOE` (`PMOE`),
  KEY `PPaC` (`PPaC`),
  CONSTRAINT `ProjectNew_ibfk_1` FOREIGN KEY (`PIPM`) REFERENCES `Person` (`EID`),
  CONSTRAINT `ProjectNew_ibfk_2` FOREIGN KEY (`PMOE`) REFERENCES `Person` (`EID`),
  CONSTRAINT `ProjectNew_ibfk_3` FOREIGN KEY (`PPaC`) REFERENCES `Person` (`EID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Rate`
--

DROP TABLE IF EXISTS `Rate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Rate` (
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Year` year(4) NOT NULL,
  `Jan` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Feb` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Mar` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Apr` decimal(20,2) NOT NULL DEFAULT '100.00',
  `May` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Jun` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Jul` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Aug` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Sep` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Oct` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Nov` decimal(20,2) NOT NULL DEFAULT '100.00',
  `Dec` decimal(20,2) NOT NULL DEFAULT '100.00',
  KEY `CostCenter_ID` (`CostCenter_ID`),
  CONSTRAINT `Rate_ibfk_1` FOREIGN KEY (`CostCenter_ID`) REFERENCES `CostCenter` (`CostCenter_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Responsibility`
--

DROP TABLE IF EXISTS `Responsibility`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Responsibility` (
  `Responsibility_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Responsibility_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Setting`
--

DROP TABLE IF EXISTS `Setting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Setting` (
  `EID` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `WBSShowLabourTasksOnly` tinyint(1) NOT NULL DEFAULT '1',
  `WBSShowCurrentYear` tinyint(1) NOT NULL DEFAULT '1',
  `WBSHideFirstWP` tinyint(1) NOT NULL DEFAULT '1',
  `WBSHideAllWP` tinyint(1) NOT NULL DEFAULT '1',
  `WBSHideTasksWithoutEffort` tinyint(1) NOT NULL DEFAULT '1',
  `EXPDecimalMark` tinyint(1) NOT NULL DEFAULT '1',
  `PROOwnSelect` tinyint(1) NOT NULL,
  UNIQUE KEY `EID_2` (`EID`),
  KEY `EID` (`EID`),
  CONSTRAINT `Setting_fk` FOREIGN KEY (`EID`) REFERENCES `Person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Skill`
--

DROP TABLE IF EXISTS `Skill`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Skill` (
  `Skill_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Group_ID` int(11) NOT NULL,
  PRIMARY KEY (`Skill_ID`),
  KEY `CostCenter_ID` (`CostCenter_ID`),
  KEY `Group_ID` (`Group_ID`),
  CONSTRAINT `Skill_ibfk_1` FOREIGN KEY (`CostCenter_ID`) REFERENCES `CostCenter` (`CostCenter_ID`),
  CONSTRAINT `Skill_ibfk_2` FOREIGN KEY (`Group_ID`) REFERENCES `Group` (`Group_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `State`
--

DROP TABLE IF EXISTS `State`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `State` (
  `Number` int(11) NOT NULL DEFAULT '0',
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Number`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Task`
--

DROP TABLE IF EXISTS `Task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Task` (
  `Task_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Project_ID` int(11) NOT NULL,
  `WorkPackage_ID` int(11) NOT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LabourTask` tinyint(1) DEFAULT '0',
  `Remark` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CostShare` decimal(3,2) NOT NULL,
  PRIMARY KEY (`Task_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `WorkPackage_ID` (`WorkPackage_ID`),
  KEY `CostCenter_ID` (`CostCenter_ID`),
  KEY `Task_ibfk_3` (`Project_ID`),
  CONSTRAINT `Task_ibfk_3` FOREIGN KEY (`Project_ID`) REFERENCES `Project` (`Project_ID`) ON DELETE CASCADE,
  CONSTRAINT `Task_ibfk_1` FOREIGN KEY (`WorkPackage_ID`) REFERENCES `WorkPackage` (`WorkPackage_ID`) ON DELETE CASCADE,
  CONSTRAINT `Task_ibfk_2` FOREIGN KEY (`CostCenter_ID`) REFERENCES `CostCenter` (`CostCenter_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=3061 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`tool`@`localhost`*/ /*!50003 TRIGGER `SetTaskProjectID` BEFORE INSERT ON `Task` FOR EACH ROW 
BEGIN
        SET NEW.`Project_ID`=`GetProjectIDFromWorkPackageID`(NEW.`WorkPackage_ID`);
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`tool`@`localhost`*/ /*!50003 TRIGGER `UpdateTaskProjectID` BEFORE UPDATE ON `Task` FOR EACH ROW 
BEGIN
	IF (NEW.`WorkPackage_ID`<>OLD.`WorkPackage_ID`) THEN
        SET NEW.`Project_ID`=`GetProjectIDFromWorkPackageID`(NEW.`WorkPackage_ID`);
	END IF;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `TaskNew`
--

DROP TABLE IF EXISTS `TaskNew`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TaskNew` (
  `Task_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `WorkPackage_ID` int(11) NOT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  `CostCenter_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LabourTask` tinyint(1) DEFAULT '0',
  `Remark` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CostShare` decimal(3,2) NOT NULL,
  PRIMARY KEY (`Task_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `WorkPackage_ID` (`WorkPackage_ID`),
  KEY `CostCenter_ID` (`CostCenter_ID`),
  CONSTRAINT `TaskNew_ibfk_1` FOREIGN KEY (`WorkPackage_ID`) REFERENCES `WorkPackageNew` (`WorkPackage_ID`) ON DELETE CASCADE,
  CONSTRAINT `TaskNew_ibfk_2` FOREIGN KEY (`CostCenter_ID`) REFERENCES `CostCenter` (`CostCenter_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TaskPlan`
--

DROP TABLE IF EXISTS `TaskPlan`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TaskPlan` (
  `TaskPlan_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Task_ID` int(11) NOT NULL,
  `Year` year(4) NOT NULL,
  `January` int(11) DEFAULT '0',
  `February` int(11) DEFAULT '0',
  `March` int(11) DEFAULT '0',
  `April` int(11) DEFAULT '0',
  `May` int(11) DEFAULT '0',
  `June` int(11) DEFAULT '0',
  `July` int(11) DEFAULT '0',
  `August` int(11) DEFAULT '0',
  `September` int(11) DEFAULT '0',
  `October` int(11) DEFAULT '0',
  `November` int(11) DEFAULT '0',
  `December` int(11) DEFAULT '0',
  `JanHrs` int(11) DEFAULT '0',
  `FebHrs` int(11) DEFAULT '0',
  `MarHrs` int(11) DEFAULT '0',
  `AprHrs` int(11) DEFAULT '0',
  `MayHrs` int(11) DEFAULT '0',
  `JunHrs` int(11) DEFAULT '0',
  `JulHrs` int(11) DEFAULT '0',
  `AugHrs` int(11) DEFAULT '0',
  `SepHrs` int(11) DEFAULT '0',
  `OctHrs` int(11) DEFAULT '0',
  `NovHrs` int(11) DEFAULT '0',
  `DecHrs` int(11) DEFAULT '0',
  `Date` datetime DEFAULT NULL,
  PRIMARY KEY (`TaskPlan_ID`),
  UNIQUE KEY `uniq_Task_ID_Year` (`Task_ID`,`Year`),
  KEY `Task_ID` (`Task_ID`),
  CONSTRAINT `TaskPlan_ibfk_1` FOREIGN KEY (`Task_ID`) REFERENCES `Task` (`Task_ID`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5832 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`tool`@`localhost`*/ /*!50003 TRIGGER `DecideLabourTask` BEFORE INSERT ON `TaskPlan`
 FOR EACH ROW BEGIN
        IF (NEW.`JanHrs` + NEW.`FebHrs` + NEW.`MarHrs` + NEW.`AprHrs` + NEW.`MayHrs` + NEW.`JunHrs` + NEW.`JulHrs` + NEW.`AugHrs` + NEW.`SepHrs` + NEW.`OctHrs` + NEW.`NovHrs` + NEW.`DecHrs` > 0) THEN
            UPDATE `Task` SET `LabourTask` = true WHERE NEW.`Task_ID` = `Task_ID`;
        END IF;
    END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `TaskPlan_Group`
--

DROP TABLE IF EXISTS `TaskPlan_Group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TaskPlan_Group` (
  `TaskPlan_ID` int(11) NOT NULL,
  `Group_ID` int(11) NOT NULL,
  `Percentage` decimal(3,2) DEFAULT NULL,
  `Remark` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  KEY `TaskPlan_ID` (`TaskPlan_ID`),
  KEY `Group_ID` (`Group_ID`),
  CONSTRAINT `TaskPlan_Group_ibfk_1` FOREIGN KEY (`TaskPlan_ID`) REFERENCES `TaskPlan` (`TaskPlan_ID`) ON DELETE CASCADE,
  CONSTRAINT `TaskPlan_Group_ibfk_2` FOREIGN KEY (`Group_ID`) REFERENCES `Group` (`Group_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Task_Group`
--

DROP TABLE IF EXISTS `Task_Group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Task_Group` (
  `Task_ID` int(11) NOT NULL,
  `Group_ID` int(11) NOT NULL,
  KEY `Task_ID` (`Task_ID`),
  KEY `Group_ID` (`Group_ID`),
  CONSTRAINT `Task_Group_ibfk_1` FOREIGN KEY (`Task_ID`) REFERENCES `Task` (`Task_ID`) ON DELETE CASCADE,
  CONSTRAINT `Task_Group_ibfk_2` FOREIGN KEY (`Group_ID`) REFERENCES `Group` (`Group_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `User`
--

DROP TABLE IF EXISTS `User`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `User` (
  `EID` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Role` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  UNIQUE KEY `EID` (`EID`,`Role`),
  CONSTRAINT `User_fk` FOREIGN KEY (`EID`) REFERENCES `Person` (`EID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `WorkPackage`
--

DROP TABLE IF EXISTS `WorkPackage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `WorkPackage` (
  `WorkPackage_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Project_ID` int(11) DEFAULT NULL,
  `Parent_ID` int(11) DEFAULT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  PRIMARY KEY (`WorkPackage_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `Project_ID` (`Project_ID`),
  KEY `Parent_ID` (`Parent_ID`),
  CONSTRAINT `WorkPackage_ibfk_1` FOREIGN KEY (`Project_ID`) REFERENCES `Project` (`Project_ID`) ON DELETE CASCADE,
  CONSTRAINT `WorkPackage_ibfk_2` FOREIGN KEY (`Parent_ID`) REFERENCES `WorkPackage` (`WorkPackage_ID`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=17143 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `WorkPackageNew`
--

DROP TABLE IF EXISTS `WorkPackageNew`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `WorkPackageNew` (
  `WorkPackage_ID` int(11) NOT NULL AUTO_INCREMENT,
  `SAP_ID` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Project_ID` int(11) DEFAULT NULL,
  `Parent_ID` int(11) DEFAULT NULL,
  `Name` varchar(500) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  PRIMARY KEY (`WorkPackage_ID`),
  UNIQUE KEY `SAP_ID` (`SAP_ID`),
  KEY `Project_ID` (`Project_ID`),
  KEY `Parent_ID` (`Parent_ID`),
  CONSTRAINT `WorkPackageNew_ibfk_1` FOREIGN KEY (`Project_ID`) REFERENCES `ProjectNew` (`Project_ID`) ON DELETE CASCADE,
  CONSTRAINT `WorkPackageNew_ibfk_2` FOREIGN KEY (`Parent_ID`) REFERENCES `WorkPackageNew` (`WorkPackage_ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping routines for database 'tool'
--
/*!50003 DROP FUNCTION IF EXISTS `GetProjectIDFromTaskID` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`tool`@`localhost`*/ /*!50003 FUNCTION `GetProjectIDFromTaskID`(TID INT) RETURNS int(11)
    DETERMINISTIC
BEGIN
        DECLARE WID INT;
        DECLARE PID INT;
        IF ((SELECT Task_ID FROM Task WHERE Task_ID = TID) IS NULL) THEN
            SET PID = NULL;
            RETURN PID;
        ELSE
            SET WID = (SELECT WorkPackage_ID FROM Task WHERE Task_ID = TID);
            SET PID = (SELECT Project_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
            WHILE (PID IS NULL) DO
                SET WID = (SELECT Parent_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
                SET PID = (SELECT Project_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
            END WHILE;
            RETURN PID;
        END IF;
    END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP FUNCTION IF EXISTS `GetProjectIDFromWorkPackageID` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`tool`@`localhost`*/ /*!50003 FUNCTION `GetProjectIDFromWorkPackageID`(WPID INT) RETURNS int(11)
    DETERMINISTIC
BEGIN
        DECLARE WID INT;
        DECLARE PID INT;
        IF ((SELECT WorkPackage_ID FROM WorkPackage WHERE WorkPackage_ID = WPID) IS NULL) THEN
            SET PID = NULL;
            RETURN PID;
        ELSE
            SET PID = (SELECT Project_ID FROM WorkPackage WHERE WorkPackage_ID = WPID);
			SET WID = WPID;
            WHILE (PID IS NULL) DO
                SET WID = (SELECT Parent_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
                SET PID = (SELECT Project_ID FROM WorkPackage WHERE WorkPackage_ID = WID);
            END WHILE;
            RETURN PID;
        END IF;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-03-20 16:01:33
