-- ATE Tool database upgrade script 
-- From version     : 1.15.0
-- To version       : 1.16.0
-- Target DB engine : MySQL 5.5.x

-- Project charters CL's OrgUnit added
ALTER TABLE `ProjectCharter` ADD `OrganizationUnit_ID` INT NOT NULL;
UPDATE `ProjectCharter` SET `ProjectCharter`.`OrganizationUnit_ID` = 1 WHERE 1;
ALTER TABLE `ProjectCharter` ADD CONSTRAINT `ProjectCharter_OrganizationUnit` FOREIGN KEY (`OrganizationUnit_ID`) REFERENCES `tool`.`OrganizationUnit` (`OrganizationUnit_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION;

DROP TABLE IF EXISTS `ProjectCharterSummaryFileHistory`;
CREATE TABLE `ProjectCharterSummaryFileHistory` (
  `ProjectCharter_ID` int(11) NOT NULL,
  `Version` int(11) NOT NULL,
  `CreationDateTime` datetime NOT NULL,
  `FileName` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Responsible` varchar(7) COLLATE utf8_unicode_ci NOT NULL,
  `LatestVersion` tinyint(4) NOT NULL,
  PRIMARY KEY (`Version`,`ProjectCharter_ID`),
  KEY `ProjectCharterSummaryFileHistory_fk` (`Responsible`),
  KEY `ProjectCharterSummaryFileHistory` (`ProjectCharter_ID`),
  CONSTRAINT `ProjectCharterSummaryFileHistory_fk` FOREIGN KEY (`Responsible`) REFERENCES `Person` (`EID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `ProjectCharterSummaryFileHistory_fk1` FOREIGN KEY (`ProjectCharter_ID`) REFERENCES `ProjectCharter` (`ProjectCharter_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- Increased length of possible file name uploaded - UTF8 consumes more "varchar - characters" for one UTF8 character
ALTER TABLE `ProjectCharterSummaryFileHistory` CHANGE `FileName` `FileName` VARCHAR( 1000 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL; 

-- Flag for determining moment, when to create new version.
ALTER TABLE `ProjectCharterSummaryFileHistory` ADD COLUMN `Committed` TINYINT(1) NOT NULL DEFAULT 0;

-- Update charter create subcontractors
INSERT INTO `Subcontractor` VALUES (NULL, 'D&S other', 'DS');

UPDATE `Subcontractor` SET `name` = 'HTS ADT EU Operations (Valny)' WHERE `Name` = ' HTS ADT EU Operations (Valny)';

-- Add comments for summary files
ALTER TABLE `ProjectCharterSummaryFileHistory` ADD COLUMN `OwnerComment` TEXT NULL AFTER `Responsible`;
ALTER TABLE `ProjectCharterSummaryFileHistory` ADD COLUMN `LineManagerComment` TEXT NULL AFTER `OwnerComment`;