-- ATE Tool database upgrade script 
-- From version     : 1.16.0
-- To version       : 1.16.1
-- Target DB engine : MySQL 5.5.x

CREATE TABLE IF NOT EXISTS `tool`.`ActualsTemp` (
  `EID` VARCHAR(7) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `ChargeNumber` VARCHAR(100) CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `Year` YEAR NOT NULL,
  `FiscalMonth` INT(11) NOT NULL,
  `Hours` DECIMAL(5,1) NOT NULL,
  `Date` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Project` TEXT CHARACTER SET 'utf8' COLLATE 'utf8_unicode_ci' NOT NULL,
  `Source` TINYINT NOT NULL DEFAULT 0,
  UNIQUE INDEX `EID` (`EID` ASC, `ChargeNumber` ASC, `Year` ASC, `FiscalMonth` ASC),
  INDEX `ChargeNumber` (`ChargeNumber` ASC),
  CONSTRAINT `ActualsTemp_ibfk_1`
    FOREIGN KEY (`ChargeNumber`)
    REFERENCES `tool`.`Task` (`SAP_ID`)
    ON DELETE CASCADE)
ENGINE = InnoDB