-- HON Tool database upgrade script 
-- From version     : 1.17.2
-- To version       : 1.17.2.1
-- Target DB engine : MySQL 5.6.x

-- This is a DB fix issued after the change of Organization Units

-- rename from current names to old and set as INACTIVE
SET SQL_SAFE_UPDATES = 0;
UPDATE `OrganizationUnit` SET `Name` = 'Modeling & Mockup & Simulation - Staff', `Parent_ID` = 248, `Leader` = 'ENN0000', `Status` = 0 where `Name` = 'CEL Defense & Space' AND `Type` = 'TG';
UPDATE `OrganizationUnit` SET `Name` = 'HAO Material & Process Eng', `Parent_ID` = 248, `Leader` = 'ENN0000', `Type` = 'TG', `Status` = 0 where `Name` = 'Hlubocky 332060801' AND `Type` = 'DEP';					-- DEPARTMENT -> TG
UPDATE `OrganizationUnit` SET `Name` = 'Fligth Mng. Systems', `Parent_ID` = 248, `Leader` = 'ENN0000', `Status` = 0 where `Name` = 'Control Sensors' AND `Type` = 'TG';
UPDATE `OrganizationUnit` SET `Name` = 'AT Support', `Parent_ID` = 248, `Leader` = 'ENN0000', `Status` = 0 where `Name` = 'Rail Safety System' AND `Type` = 'TG';
UPDATE `OrganizationUnit` SET `Name` = 'EPC CoE CCC', `Parent_ID` = 248, `Leader` = 'ENN0000', `Status` = 0 where `Name` = 'Propulsion HTF7K' AND `Type` = 'TG';
UPDATE `OrganizationUnit` SET `Name` = 'CNS CoE - Datalink', `Parent_ID` = 248, `Leader` = 'ENN0000', `Type` = 'TG', `Status` = 0 where `Name` = 'Communication, Navigation & Surveillance' AND `Type` = 'DEP';	-- DEPARTMENT -> TG
-- UPDATE `OrganizationUnit` SET `Name` = 'CMADs', `Parent_ID` = 248 where `Name` = 'Configuration Management & Data Services';
UPDATE `OrganizationUnit` SET `Name` = 'Data&Maintenance&Controllers', `Parent_ID` = 248, `Leader` = 'ENN0000', `Status` = 0 where `Name` = 'Unknown Technical Group' AND `Type` = 'TG';

-- create new (INSERT) and
-- move people [REPLACE ID w/ the new one] (UPDATE)
INSERT INTO `OrganizationUnit` VALUES (NULL, 13, 'ENN0000', 0, 'TG', 'CEL Defense & Space', 'CELD', NULL, 0, 0, 1);
UPDATE `Person` SET `OrganizationUnit_ID` = LAST_INSERT_ID() where `OrganizationUnit_ID` = 72;
INSERT INTO `OrganizationUnit` VALUES (NULL, 254, 'E462108', 0, 'DEP', 'Hlubocky 332060801', 'HAO1', NULL, 0, 0, 1);
UPDATE `Person` SET `OrganizationUnit_ID` = LAST_INSERT_ID() where `OrganizationUnit_ID` = 46;
UPDATE `OrganizationUnit` SET `Parent_ID` = LAST_INSERT_ID() where `Parent_ID` = 46;	-- correct parent key in subordinated units (needs to be done for the DEPARTMENT -> TG transition)
INSERT INTO `OrganizationUnit` VALUES (NULL, 310, 'E454551', 0, 'TG', 'Control Sensors', 'CSE', NULL, 0, 0, 1);
UPDATE `Person` SET `OrganizationUnit_ID` = LAST_INSERT_ID() where `OrganizationUnit_ID` = 139;
INSERT INTO `OrganizationUnit` VALUES (NULL, 311, 'E573842', 0, 'TG', 'Rail Safety System', 'RSS', NULL, 0, 0, 1);
UPDATE `Person` SET `OrganizationUnit_ID` = LAST_INSERT_ID() where `OrganizationUnit_ID` = 179;
INSERT INTO `OrganizationUnit` VALUES (NULL, 301, 'E334635', 0, 'TG', 'Propulsion HTF7K', 'PRO', NULL, 0, 0, 1);
UPDATE `Person` SET `OrganizationUnit_ID` = LAST_INSERT_ID() where `OrganizationUnit_ID` = 158;
INSERT INTO `OrganizationUnit` VALUES (NULL, 121, 'E558125', 0, 'DEP', 'Communication, Navigation & Surveillance', 'CNS', NULL, 0, 0, 1);
UPDATE `Person` SET `OrganizationUnit_ID` = LAST_INSERT_ID() where `OrganizationUnit_ID` = 124;
UPDATE `OrganizationUnit` SET `Parent_ID` = LAST_INSERT_ID() where `Parent_ID` = 124;	-- correct parent key in subordinated units (needs to be done for the DEPARTMENT -> TG transition)
-- INSERT INTO `OrganizationUnit` VALUES (NULL, 264, 'E410689', 0, 'TG', 'Configuration Management & Data Services', 'CMADS', NULL, 0, 0, 1);
-- UPDATE ...placeholder
INSERT INTO `OrganizationUnit` VALUES (NULL, 248, 'ENN0000', 0, 'TG', 'Unknown Technical Group', 'UNTG', NULL, 0, 0, 1);
UPDATE `Person` SET `OrganizationUnit_ID` = LAST_INSERT_ID() where `OrganizationUnit_ID` = 249;
SET SQL_SAFE_UPDATES = 1;

-- create as INACTIVE
INSERT INTO `OrganizationUnit` VALUES (64, 248, 'ENN0000', 0, 'TG', 'D&S AERO AT ERT', 'D&S AERO', NULL, 0, 0, 0);
INSERT INTO `OrganizationUnit` VALUES (58, 248, 'ENN0000', 0, 'TG', 'D&S EHCOE - Mechanical Design', 'D&S MD', NULL, 0, 0, 0);
INSERT INTO `OrganizationUnit` VALUES (57, 248, 'ENN0000', 0, 'TG', 'D&S EHCOE - Board Layout', 'D&S BL', NULL, 0, 0, 0);
INSERT INTO `OrganizationUnit` VALUES (54, 248, 'ENN0000', 0, 'TG', 'D&S EHCOE - Electrical Design', 'D&S ED', NULL, 0, 0, 0);
INSERT INTO `OrganizationUnit` VALUES (61, 248, 'ENN0000', 0, 'TG', 'D&S ETS - Software Design', 'D&S SD', NULL, 0, 0, 0);
INSERT INTO `OrganizationUnit` VALUES (60, 248, 'ENN0000', 0, 'TG', 'D&S PIPA Certification', 'D&S PIPA', NULL, 0, 0, 0);
INSERT INTO `OrganizationUnit` VALUES (63, 248, 'ENN0000', 0, 'TG', 'D&S ET Test Strategy & Process', 'D&S TSP', NULL, 0, 0, 0);
INSERT INTO `OrganizationUnit` VALUES (101, 248, 'ENN0000', 0, 'TG', 'D&S CBM COE', 'D&S CBM COE', NULL, 0, 0, 0);
INSERT INTO `OrganizationUnit` VALUES (59, 248, 'ENN0000', 0, 'TG', 'D&S PI - PA&C', 'D&S PA&C', NULL, 0, 0, 0);

-- rename
SET SQL_SAFE_UPDATES = 0;
UPDATE `OrganizationUnit` SET `Name` = 'Displays & Graphics COE'  where `Name` = 'Displays & Graphics' AND `Leader` = 'H148235' AND `Type` = 'TG';

-- launch org chart subtree recalc procedure
CALL GenerateOrgUnitPaths(3);
SET SQL_SAFE_UPDATES = 1;

-- the BUDGET PART
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 52;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 146;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 158;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 190;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 191;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 192;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 193;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 61 where `ProjectCharterBudget_ID` = 325;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 426;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 427;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 428;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 429;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 508;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 509;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 513;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 534;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 535;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 537;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 698;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 699;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 701;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 61 where `ProjectCharterBudget_ID` = 776;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 896;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 909;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 949;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 985;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 61 where `ProjectCharterBudget_ID` = 1051;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 1171;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 1184;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 1191;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 61 where `ProjectCharterBudget_ID` = 1307;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 1335;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 1336;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 1338;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 1447;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 1448;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 1474;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 1559;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 1560;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 1599;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 1600;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 1611;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 1612;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 1623;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 1624;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 61 where `ProjectCharterBudget_ID` = 1640;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 61 where `ProjectCharterBudget_ID` = 1646;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 1814;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 1815;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 1817;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 1975;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 1976;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 1978;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 2368;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 2369;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 2371;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 2387;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 2388;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 2390;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 2519;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 2565;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 2573;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 2574;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 60 where `ProjectCharterBudget_ID` = 2603;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 2605;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 63 where `ProjectCharterBudget_ID` = 2606;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 2616;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 2617;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 101 where `ProjectCharterBudget_ID` = 2632;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 59 where `ProjectCharterBudget_ID` = 2792;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 61 where `ProjectCharterBudget_ID` = 2902;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 2921;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 2922;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 2935;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 2936;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 3058;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 61 where `ProjectCharterBudget_ID` = 3059;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 3084;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 3085;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 59 where `ProjectCharterBudget_ID` = 3128;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 60 where `ProjectCharterBudget_ID` = 3510;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 3511;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 63 where `ProjectCharterBudget_ID` = 3512;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 101 where `ProjectCharterBudget_ID` = 3518;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 3536;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 3808;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 3904;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 3928;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 58 where `ProjectCharterBudget_ID` = 3966;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 57 where `ProjectCharterBudget_ID` = 3967;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 54 where `ProjectCharterBudget_ID` = 3969;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 4070;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 4104;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 4112;
UPDATE `ProjectCharterBudget` SET `TechnicalGroup` = 64 where `ProjectCharterBudget_ID` = 4128;