# FileName: eacAutoGeneration.ps1
#=============================================================================
# Script Name: [ATE PLANNING TOOL EAC Report Auto Generation]
# Created: [13/8/2013]
# Version: [1.0]
# Author: [Jiri Pirochta]
# Email: [jiri.pirochta@honeywell.com]
# Company: [Honeywell]  
# Arguments: None
# =============================================================================
# Purpose: This script is to be setup in Windows Server / Windows 7 
# Task Scheduler to run regarly every day in the early morning to generate EAC Report.
# =============================================================================

$my_import_log="C:\inetpub\wwwroot\hon-planning-tool\log\auto-eac-generation.log"
# token HTTP parameter is setup in the ATE Planning Tool database 
# in table GlobalSettings in a Value column where Key="EACReport.credentials.cronToken" 
$my_import_url="http://ate-apps.honeywell.com/hon-planning-tool/?presenter=EACAutoGeneration&token=392f10b7d32784095f78913438b54c72&action=generateReport"
# run only once and max for 15 mins
$my_wget_cmd="c:\Program Files (x86)\UnixUtils\bin\wget.exe"
$my_wget_params=@("-t","1","-T","900","-O","-","$my_import_url") 
$my_unix_date_format="%Y/%m/%d %H:%M:%S"

#logrotate first if log is greater than 500kB
if (Test-Path $my_import_log) { 
    if ((Get-Item $my_import_log).length -gt 500kb) {
        $old_log= $my_import_log -replace ".log$", ("-" + (Get-Date -UFormat "%Y%m%d-%H%M%S") + ".log")
        Move-Item $my_import_log $old_log
    }
}

$my_start_date=(Get-Date -UFormat $my_unix_date_format)
Add-Content -Path $my_import_log -Value "--- START OF AUTO EAC REPORT GENERATION: $my_start_date"
& $my_wget_cmd $my_wget_params | Add-Content -Path $my_import_log     
$my_end_date=(Get-Date -UFormat $my_unix_date_format)
Add-Content -Path $my_import_log -Value "--- END OF AUTO EAC REPORT GENERATION: $my_end_date"

exit