# FileName: import-actuals-from-echarge.ps1
#=============================================================================
# Script Name: [ATE PLANNING TOOL Actuals update from eCharge]
# Created: [26/3/2013]
# Version: [1.0]
# Author: [Martin Kotlar]
# Email: [martin.kotlar@honeywell.com]
# Company: [Honeywell]  
# Arguments: None
# =============================================================================
# Purpose: This script is to be setup in Windows Server / Windows 7 
# Task Scheduler to run regarly every day in the early morning to 
# import actual (hours charged on projects) into ATE Planning Tool from eCharge
# =============================================================================

$my_import_log="C:\inetpub\wwwroot\hon-planning-tool\log\import-actuals-from-echarge.log"
# token HTTP parameter is setup in the ATE Planning Tool database 
# in table GlobalSettings in a Value column where Key="eCharge.credentials.cronToken" 
$my_import_url="http://ate-apps.honeywell.com/hon-planning-tool/?presenter=EChargeImportCronAccess&token=dfcdd84c9d909800b63ff1c2983e7c54&action=run"
# run only once and max for 1 hour
$my_wget_cmd="c:\Program Files (x86)\UnixUtils\bin\wget.exe"
$my_wget_params=@("-t","1","-T","3600","-O","-","$my_import_url") 
$my_unix_date_format="%Y/%m/%d %H:%M:%S"

#logrotate first if log is greater than 500kB
if (Test-Path $my_import_log) { 
    if ((Get-Item $my_import_log).length -gt 500kb) {
        $old_log= $my_import_log -replace ".log$", ("-" + (Get-Date -UFormat "%Y%m%d-%H%M%S") + ".log")
        Move-Item $my_import_log $old_log
    }
}

$my_start_date=(Get-Date -UFormat $my_unix_date_format)
Add-Content -Path $my_import_log -Value "--- START OF ACTUALS IMPORT FROM ECHARGE: $my_start_date"
& $my_wget_cmd $my_wget_params | Add-Content -Path $my_import_log     
$my_end_date=(Get-Date -UFormat $my_unix_date_format)
Add-Content -Path $my_import_log -Value "--- END OF ACTUALS IMPORT FROM ECHARGE: $my_end_date"

exit