<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of ProjectCharterAutoApprovalPresenter
 *
 * @author E548436
 */
class ProjectCharterAutoApprovalPresenter extends TokenAccessPresenter {
	//put your code here
	/* authentication token setup */
	const AUTH_TOKEN_NAME = 'token',
		AUTH_TOKEN_KEY = 'charters.credentials.schedulerToken';

    /**
     * Service for ECharge importing.
     * @var CharterAutoApprovalService
     */
	private $autoApprovalService;
	
    /**
     * Returns http parameter name with authentication token.
     * 
     * @return string
     */
	protected function getAuthTokenName()
	{
		return self::AUTH_TOKEN_NAME;
	}

    /**
     * Returns http parameter name with authentication token.
	 * 
     * @return string
     */
	protected function getAuthTokenSettingsKey()
	{
		return self::AUTH_TOKEN_KEY;
	}
	
    /**
     * Nette default render method 
     */
	public function renderDefault()
	{
	}
    
	/**
     * Run method 
     */
    public function renderRun()
    {
		$import_exception_msg = NULL;
        $memlog = new MemoryLogger();
		$multilog = new MultiLogger();
		$multilog->add($memlog);
		$batch_id = 'charters-'.time().'-'. rand(1, 9);
		$multilog->add($this->context->createLogger($batch_id, "CHARTER AUTO APPROVE"));
        $this->autoApprovalService = new ProjectCharterAutoApprovalService($this->context, $multilog);
        try
        {
            $import_result = $this->autoApprovalService->runAutoApproval();
			//$memlog->log('Charters auto approval was completed.', ILogger::INFO);
		}
        catch (EProjectCharterAutoApprovalServiceException $e)
        {
			$import_exception_msg = $e->getMessage();
            $import_result = FALSE;
            Debugger::log('Charters auto approval failed: ' . $import_exception_msg, Debugger::ERROR);
			$multilog->log('Charters auto approval failed: ' . $import_exception_msg, ILogger::ERROR);
		}
		$this->template->result = $import_result;
		$messages = $memlog->getMessages();
		$log = array();
		foreach ($messages as $message)
			$log[] = $message['level'] . ": " . $message['msg'];
		$this->template->log = $log;
		
		if (!$import_result)
		{   
			if (!$this->context->globalSetting->exists('mail.adminList')) // GENERIC NAME?
				throw new InvalidStateException("Undefined list of email addresses for notifiying of Automatic approval of charters failure!"); // reword and update echareg
			$mail = $this->context->nette->createMail();
			$mail->setFrom($this->context->parameters['mailer']['from']);
			$emails = explode(',', $this->context->globalSetting->get('mail.adminList'));
			$valid_notify_emails = 0;
			foreach ($emails as $email) 
			{
				$notify_email = trim($email);
				if (Validators::isEmail($notify_email))
				{
					$mail->addTo($notify_email);
					$valid_notify_emails++;
				}
				else
					Debugger::log('Invalid email address specified: '.$notify_email, Debugger::WARNING);
			}
			if ($valid_notify_emails)
			{
				$mail->setSubject('HON Planning Tool - Automatic approval of charters failed @ ' . date('m-d-Y H:i:s'))
					->setBody("----------- OUTPUT -------------\n" 
							. implode("\n", $log)
							. "\n----------- ERROR -------------\n" 
							. $import_exception_msg);
				$mail->send();
			}
			else
				Debugger::log('Cannot notify about Automatic approval of charters failure! No valid email addresses specified.', Debugger::ERROR);
		}			
 	}
}
