<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2015 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package presenters
 */

/**
 * Presenter used to display list of all STRAP Item Activities.
 *
 * @author Leos Navratil <leos.navratil@honeywell.com>
 */
class ItemActivitiesPresenter extends SecuredPresenter
{
	public function renderDefault()
	{
		$itemActivities = $this->context->itemActivityRepository->findAll();

		$i = 0;
		$activities = array();
		foreach($itemActivities as $activity)
		{
			$activities[$i]['Activity_ID'] = $activity->ID;
			$activities[$i]['StrapItem_Name'] = $this->context->itemRepository->find($activity->ItemID)->name;
			$activities[$i]['StrapItem_ID'] = $activity->ItemID;
			$activities[$i]['Name'] = $activity->Name;
			$activities[$i]['TargetTRL'] = $activity->TargetTRL;
			$activities[$i]['TargetTRLYear'] = $activity->TargetTRLYear;
			$activities[$i]['CoveredBy'] = $activity->getType();
			$activities[$i]['Customer'] = $activity->Customer;
			$activities[$i]['Status'] = $activity->Status;
			$i++;
		}
		$this->template->itemActivities = $activities;
	}
}