<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009 - 2015 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package components/WBS
 */

/**
 * WBSFilterForm provides displaying of WBS filter form
 * 
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
class WBSFilterForm extends Control
{    
    /**
     */
    public function __construct()
    {
        parent::__construct();
    }
    
    /**
     * Shows WBS filter form
     */
    public function render()
    {
        $template = $this->template;
        $template->setFile(__DIR__ . '/WBSFilterForm.latte');
        
        $eid = $this->presenter->getUser()->getId();        
        $setting = $this->presenter->context->userSettingRepository->find($eid);
        
        $defaults = array();
		$defaults['WBSShowLabourTasksOnly'] = $setting->WBSShowLabourTasksOnly;
		$defaults['WBSHideTasksWithoutEffort'] = $setting->WBSHideTasksWithoutEffort;
		$defaults['WBSHideAllWP'] = $setting->WBSHideAllWP;
		$this['wBSFilterForm']->setDefaults($defaults);
        
        $template->render();
    }
    
    /**
     * Creates base WBS filter form
     * @return \AppForm
     */
    protected function createComponentWBSFilterForm()
    {
        $form = new AppForm();
        
        $form->addCheckbox('WBSShowLabourTasksOnly', 'Show Labor Tasks only');
        $form->addCheckbox('WBSHideTasksWithoutEffort', 'Hide Tasks and Work Packages without effort for current year');
        $form->addCheckbox('WBSHideAllWP', 'Hide Work Packages');
        
        $form->onSuccess[] = array($this, 'wbsFilterFormSubmitted');
        return $form;
    }
    
    /**
     * Base filter form submit action
     * @param AppForm $form
     */
    public function wbsFilterFormSubmitted(AppForm $form)
    {
        $values = $form->getValues();        
        $eid = $this->presenter->getUser()->getId();        
        $setting = $this->presenter->context->userSettingRepository->find($eid);
        
        $setting->WBSShowLabourTasksOnly = $values->WBSShowLabourTasksOnly;
        $setting->WBSHideTasksWithoutEffort = $values->WBSHideTasksWithoutEffort;
        $setting->WBSHideAllWP = $values->WBSHideAllWP;

        $this->presenter->context->userSettingRepository->save($setting);

        $this->presenter->redirect('this');
    }    
}