<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2015 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * ActualsTemp for iASAP (single record).
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
class ActualsTempForIASAP extends Object
{
	
    /** @var string EID */
    private $eid;
    /** @var string ChargeNumber */
    private $charge_number;
    /** @var int Year */
    private $year;
    /** @var int FiscalMonth */
    private $fiscal_month;
    /** @var float Hours */
    private $hours;
    /** @var string DateTime */
    private $date;
	/** @var string Date of charge day */
	private $chargeDay;
	/** @var string Date of modified at */
	private $modifiedAt;
	/** @var string comment */
	private $comment;	

    public function  __construct() 
    {
    }

    /**
     * Gets EID.
     * 
     * @return string
     */
    public function getEid()
    {
        return $this->eid;
    }	

    /**
     * Sets EID.
     * 
     * @param string $eid
     */
    public function setEid($eid)
    {
        $this->eid = $eid;
    }	

    /**
     * Gets ChargeNumber.
     * 
     * @return string
     */
    public function getCharge_number()
    {
        return $this->charge_number;
    }	

    /**
     * Sets ChargeNumber.
     * 
     * @param string $charge_number
     */
    public function setCharge_number($charge_number)
    {
        $this->charge_number = $charge_number;
    }	

    /**
     * Gets Year.
     * 
     * @return int
     */
    public function getYear()
    {
        return $this->year;
    }	

    /**
     * Sets Year.
     * 
     * @param int $year
     */
    public function setYear($year)
    {
        $this->year = $year;
    }	

    /**
     * Gets FiscalMonth.
     * 
     * @return int
     */
    public function getFiscal_month()
    {
        return $this->fiscal_month;
    }	

    /**
     * Sets FiscalMonth.
     * 
     * @param int $fiscal_month
     */
    public function setFiscal_month($fiscal_month)
    {
        $this->fiscal_month = $fiscal_month;
    }	

    /**
     * Gets Hours.
     * 
     * @return string
     */
    public function getHours()
    {
        return $this->hours;
    }	

    /**
     * Sets Hours.
     * 
     * @param float $hours
     */
    public function setHours($hours)
    {
        $this->hours = $hours;
    }	

    /**
     * Gets Date.
     * 
     * @return DateTime
     */
    public function getDate()
    {
        return date($this->date);
    }	

    /**
     * Sets Date.
     * 
     * @param DateTime $date
     */
    public function setDate(DateTime $date)
    {
        $this->date = $date;
    }
	
    /**
     * Set charge day date.
     * 
     * @param string $datetime Date time in YYYY-MM-DD format.
	 * @todo Check format of $datetime.
     */
	public function setChargeDay($datetime)
	{
		$this->chargeDay = $datetime;
	}
	
    /**
     * Gets charge day date.
     * 
     * @return string
     */
	public function getChargeDay()
	{
		return $this->chargeDay;
	}
	
	/**
     * Set modified at date.
     * 
     * @param string $datetime Date time in YYYY-MM-DD format.
	 * @todo Check format of $datetime.
     */
	public function setModifiedAt($datetime)
	{
		$this->modifiedAt = $datetime;
	}
	
    /**
     * Gets modified at date.
     * 
     * @return string
     */
	public function getModifiedAt()
	{
		return $this->modifiedAt;
	}
	
    /**
     * Gets comment.
     * 
     * @return string
     */
    public function getComment()
    {
        return $this->comment;
    }	

    /**
     * Sets Comment.
     * 
     * @param float $comment
     */
    public function setComment($comment)
    {
        $this->comment = mb_convert_encoding($comment, "UTF-8");
    }	
}