<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing AOPs.
 *
 * @author Martin Kotlar <martin.kotlar@honeywell.com>
 */
interface IAOPMapper
{
	/**
	 * Returns AOP for selected year.
	 * 
	 * @param int $year year
	 * @return	AnnualOperationPlan of NULL if not found.
	 */
	public function find($year);

	/**
	 * Returns AOP for selected year for selected user.
	 * 
	 * Returns whole budget of hours which doesn't mean it have to be vacant
	 * (depends on assignments of hours to worker).
	 * 
	 * @param int $year year
	 * @param int $person_id ID of worker/employee.
	 * @return	AnnualOperationPlan of NULL if not found.
	 */
	public function findForPerson($year, $person_id);
	
}



