<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2014 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package presenters
 */

/**
 * CostCenterFilter defines structure to filter cost centers.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
class CostCenterFilter extends Object
{	
	/** @var string Name */
	private $name;
	
	/** @var string ID */
	private $id;
	
	/** @var int Plant */
	private $plant;
	
	/** @var array WC activity status */
	private $status;
	
	/**
     * Sets name
     * @param string $name
     */
	public function setName($name)
	{
		$this->name = $name;
	}
	
	/**
     * Gets name
     * @return string
     */
	public function getName()
	{
		return $this->name;
	}
	
	/**
     * Sets id
     * @param string $id
     */
	public function setID($id)
	{
		$this->id = $id;
	}
	
	/**
     * Gets id
     * @return string
     */
	public function getID()
	{
		return $this->id;
	}
	
	/**
     * Sets plant
     * @param int $plant
     */
	public function setPlant($plant)
	{
		$this->plant = $plant;
	}
	
	/**
     * Gets plant
     * @return int
     */
	public function getPlant()
	{
		return $this->plant;
	}
	
	/**
	 * Sets WC status.
     * @param array $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
		return $this;
    }

    /**
	 * Gets WC status.
     * @return array
     */
    public function getStatus()
    {
        return $this->status;
    }
}
