<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2014 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * ECLicence definition.
 *
 * @author Vojtech Obrusnik <vojtech.obrusnik@honeywell.com>
 */
class ECLicence extends Object
{	
	/** @var int ECLicence id */
	private $ECLicenceID;
	/** @var string ECLicence name */
	private $name;
	/** @var int ECLicence value */
	private $value;
	/** @var string ECLicenceName prefix */
	private $ECLicenceNamePrefix;
	/** @var Non licenced project task prefix */
	const PREFIX_NON_LICENCE_REQUIRED = 'NLR';
	
	/**
     * Sets id.
     * @param int $id Must be positive integer.
	 * @throws InvalidArgumentException
     */
	public function setECLicenceID($id)
	{
		if ($id > 0)
			$this->ECLicenceID = $id;
		else
			throw new InvalidArgumentException('ECLicence ID must be integer greater than 0. Wrong param: ' . $id);
	}
	
	/**
     * Gets id
     * @return int
     */
	public function getECLicenceID()
	{
		return $this->ECLicenceID;
	}
	
	/**
     * Sets name
     * @param string $name
     */
	public function setName($name)
	{
		$this->name = $name;
	}
	
	/**
     * Gets name
     * @return string
     */
	public function getName()
	{
		return $this->name;
	}
	
	/**
     * Sets value
     * @param int $value
     */
	public function setValue($value)
	{
		$this->value = $value;
	}
	
	/**
     * Gets value
     * @return int
     */
	public function getValue()
	{
		return $this->value;
	}
	
	/**
     * Sets ECLicenceName prefix
     * @param string $prefix
     */
	public function setECLicenceNamePrefix($prefix)
	{
		$this->ECLicenceNamePrefix = $prefix;
	}
	
	/**
     * Gets ECLicenceName prefix
     * @return string
     */
	public function getECLicenceNamePrefix()
	{
		return $this->ECLicenceNamePrefix;
	}
}