<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing customers.
 *
 * @author Jiri Zajic <jiri.zajic@honeywell.com>
 */
interface ICustomerMapper
{
	/**
	 * Saves customer.
	 * 
     * @param Customer $customer customer
	 */
	public function save(Customer $customer);
    
	/**
	 * Updates customer.
	 * 
	 * @param Customer $customer customer
	 */
	public function update(Customer $customer);
    
	/**
	 * Returns customer by its id.
	 * 
	 * @param int $id Customer ID.
	 * @return Customer
	 */
	public function findCustomer($id);

	/**
	 * Returns all customers as an array sorted by name.
	 * 
	 * @return array of Customer
	 */
	public function findAllCustomers();

}
