<?php

/**
 * Data container describing project
 * @deprecated
 */
class ProjectHeader implements iProject
{
    public $Project_ID;
    public $SAP_ID;
//    public $PIPM;
//    public $PMOE;
//    public $PPaC;
//    public $TM;
    public $Name;
//    public $Type;
//    public $Customer;
//    public $Responsibility;
//    public $Description;
//    public $Date;
//    public $Phase;
//    public $State;
//    public $Remark;
//    public $LastStateChange;
//    public $KeyCode;
//    public $PO;
//    public $PMO;
//    public $Start;
//    public $End;
//    public $TotalBudget;
    
    private $workpackages;

    public function  __construct($Project_ID = NULL)
    {
        /**
         * Project Object
         *   WorkPackage Object
         *     ...
         *       Task Object
         *         TaskPlan Object
         */
        $this->workpackages = array();
         if ($Project_ID != NULL)
         {
            // init self
            $ProjectDB = dibi::select('*')->from('Project')->where('[Project_ID] = %i', $Project_ID)->fetch();
            foreach(get_object_vars($this) as $name => $value){
                $this->$name = trim(@$ProjectDB->$name);
            }

            // init children
            $WorkPackagesDB = dibi::select('*')->from('WorkPackage')->where('[Project_ID] = %i', $Project_ID)->fetchAll();
            foreach($WorkPackagesDB as $WorkPackageDB){
                $WorkPackage = new WorkPackageDeprecated($WorkPackageDB->WorkPackage_ID);
                $this->workpackages[$WorkPackage->WorkPackage_ID] = $WorkPackage;
            }

            // init actuals waste as workpackage
            $WorkPackage = new WorkPackageDeprecated();
            $WorkPackage->WorkPackage_ID = 'N/A';
            $WorkPackage->SAP_ID = 'N/A';
            $WorkPackage->Name = 'Actuals Waste';
            $ActualsWasteDB = dibi::select('*')->from('ActualsWaste')->where('[Project] = %s', $this->SAP_ID)->fetchAll();
            foreach($ActualsWasteDB as $ActualWasteDB)
            {
                if(!isset($WorkPackage->tasks[$ActualWasteDB->ChargeNumber]))
                {
                    $Task = new TaskDepreciated();
                    $Task->SAP_ID = $ActualWasteDB->ChargeNumber;
                    $Task->Name = 'N/A';
                    $ActualsWasteDB = dibi::select('*')->from('ActualsWaste')->where('[ChargeNumber] = %s', $Task->SAP_ID)->fetchAll();
                    foreach($ActualsWasteDB as $ActualWasteDB){
                        $ActualWaste = new Actual($ActualWasteDB->EID, $ActualWasteDB->ChargeNumber, $ActualWasteDB->Year, $ActualWasteDB->FiscalMonth);
                        $Task->actuals[] = $ActualWaste;
                    }
                    $WorkPackage->tasks[$Task->SAP_ID] = $Task;
                }
            }
            $this->workpackages['FAKE'] = $WorkPackage;
        }
    }

    public function getChildren()
    {
        return $this->workpackages;
    }

    public function getPlannedLaborHours($Year, $months = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'))
    {

        if(!(is_array($months)))
            $months = array($months);

        $sum = 0;

        foreach($this->workpackages as $workpackage)
                $sum += $workpackage->getPlannedLaborHours($Year, $months);

        return $sum;
                    
    }

    public function getAssignedHours($Year, $months = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'))
    {

        if(!(is_array($months)))
            $months = array($months);

        $sum = 0;

        foreach($this->workpackages as $workpackage)
                $sum += $workpackage->getAssignedHours($Year, $months);

        return $sum;

    }

    public function getActualHours($Year, $months = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'))
    {

        if(!(is_array($months)))
            $months = array($months);

        $sum = 0;

        foreach($this->workpackages as $workpackage)
                $sum += $workpackage->getActualHours($Year, $months);

        return $sum;

    }

    public function getResources($Year)
    {

        $resources = array();

        foreach($this->workpackages as $workpackage)
            foreach($workpackage->getResources($Year) as $resource)
                array_push($resources, $resource);

        return $resources;

    }

    public function getActuals($Year)
    {

        $resources = array();

        foreach($this->workpackages as $workpackage)
            foreach($workpackage->getActuals($Year) as $resource)
                array_push($resources, $resource);

        return $resources;

    }

}
