<?php

/**
 * This file is part of the ATE Tool - STRAP addon
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing PursuitPlan.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
interface IPursuitPlanMapper
{
	/**
	 * Saves new PursuitPlan.
	 * 
	 * @param PursuitPlan $pursuitPlan
	 * @return boolean
	 */
	public function save(PursuitPlan $pursuitPlan);
	
	/**
	 * Updates PursuitPlan.
	 * 
	 * @param PursuitPlan $pursuitPlan
	 * @return boolean
	 */
	public function update(PursuitPlan $pursuitPlan);
	
	/**
	 * Deletes existing PursuitPlan.
	 * 
	 * @param int $pursuit Pursuit ID
	 * @param string $milestone Milestone
	 * @return boolean
	 */
	public function delete($pursuitID, $milestone);

	/**
	 * Gets PursuitPlan by purusit ID and milestone.
	 * 
	 * @param int $pursuit Pursuit ID
	 * @param string $milestone Milestone
	 * @return PursuitPlan or null if not found
	 */
	public function find($pursuitID, $milestone);
	
	/**
	 * Gets PursuitPlan by purusit ID.
	 * 
	 * @param int $pursuitID Pursuit ID
	 * @return array Of PursuitPlan or empty array if not found
	 */
	public function findByPursuitID($pursuitID);
}
