<?php

/**
 * This file is part of the ATE Tool - STRAP addon
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing RedTeam.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
interface IRedTeamMapper
{
	/**
	 * Saves new RedTeam.
	 * 
	 * @param RedTeam $redTeam
	 * @return boolean
	 */
	public function save(RedTeam $redTeam);
	
	/**
	 * Updates RedTeam.
	 * 
	 * @param RedTeam $redTeam
	 * @return boolean
	 */
	public function update(RedTeam $redTeam);
	
	/**
	 * Deletes existing RedTeam member.
	 * 
	 * @param string $eid PersonEID
	 * @param int $pursuit Pursuit ID
	 * @return boolean
	 */
	public function delete($eid, $pursuitID);

	/**
	 * Gets redteam memeber by eid and purusit ID.
	 * 
	 * @param string $eid PersonEID
	 * @param int $pursuit Pursuit ID
	 * @return RedTeam or null if not found
	 */
	public function find($eid, $pursuitID);
}
