<?php

/**
 * This file is part of the ATE Tool - STRAP addon
 *
 * Copyright (c) 2009, 2013 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Interface for accessing STRAP TechnologyRoadmapDomain.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
interface ITechnologyRoadmapDomainMapper
{
	/**
	 * Saves new STRAP TechnologyRoadmapDomain.
	 * 
	 * @param TechnologyRoadmapDomain $technologyRoadmapDomain
	 * @return boolean
	 */
	public function save(TechnologyRoadmapDomain $technologyRoadmapDomain);
	
	/**
	 * Updates existing STRAP TechnologyRoadmapDomain.
	 * 
	 * @param TechnologyRoadmapDomain $technologyRoadmapDomain
	 * @return boolean
	 */
	public function update(TechnologyRoadmapDomain $technologyRoadmapDomain);
	
	/**
	 * Deletes existing STRAP TechnologyRoadmapDomain.
	 * 
	 * @param int $domain
	 * @return boolean
	 */
	public function delete($domain);

	/**
	 * Gets STRAP TechnologyRoadmapDomain by id.
	 * 
	 * @param int $domain
	 * @return TechnologyRoadmapDomain or null if not found
	 */
	public function find($domain);

	/**
	 * Gets all STRAP TechnologyRoadmapDomain.
	 * 
	 * @return array Array of TechnologyRoadmapDomain or null if not found.
	 */
	public function findAll();
}
