<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011, 2012 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * User roles.
 *
 * @author Jiri Pirochta <jiri.pirochta@honeywell.com>
 */
class UserRole extends Object
{
   /**
	 * @const User roles
	 */
	const ROLE_AUTHENTICATED = 'authenticated', // User without login
	      ROLE_GUEST = 'guest', // User before login
		  ROLE_USER = 'USER', // Logged in user
		  ROLE_PMO = 'PMO', // Logged in user wih some extra privileges
		  ROLE_ADMIN = 'ADMIN', // Full privileged logged in user
		  ROLE_STRAP_CL = 'STRAP-CL', // STRAP tool user with extended privileges
		  ROLE_STRAP_ADMIN = 'STRAP-ADMIN'; // STRAP tool full privileged user
	
    /** @var string Employee identification code */
    private $id;

    /** @var string Role of user */
    private $role;

  
    public function  __construct() 
    {
    }
	
     /**
     * Sets person EID.
     * 
     * @param string $ID
     */
	public function setID($id)
	{
		$this->id = $id;
	}
    
    /**
     * Gets person EID.
     * 
     * @return string
     */
	public function getID()
	{
		return $this->id;
	}	

    /**
     * Sets role of user.
     * 
     * @param int $year
     */
    public function setRole($role)
    {
        $role = $this->role = $role;
    }

    /**
     * Gets role of user.
     * 
     * @return int
     */
	public function getRole()
	{
		return $this->role;
	}
}