<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package utils\Application\Responses
 */


/**
 * Temporary file download response.
 * 
 * After file is sent, it is deleted.
 *
 * @author Martin Kotlar <martin.kotlar@honeywell.com>
 */
class TemporaryFileResponse extends FileResponse
{

	/** @var string Temporary file with path */
	private $tempfile;
	
	public function __construct($file, $name = NULL, $contentType = NULL)
	{
		parent::__construct($file, $name, $contentType);
		// we will remember the link to the temporary file
		$this->tempfile = $file;
	}

	/**
	 * Sends response to output and deletes the file.
	 * @return void
	 */
	public function send(IHttpRequest $httpRequest, IHttpResponse $httpResponse)
	{
		parent::send($httpRequest, $httpResponse);
		unlink($this->tempfile);
	}

}


