<?php

/**
 * This file is part of the ATE Tool
 *
 * Copyright (c) 2009, 2011 Honeywell International spol. s r.o.
 *
 * For the full copyright and license information, please view
 * the file license.txt that was distributed with this source code.
 * @package models
 */

/**
 * Helper for rounding numbers in PHP.
 * Nette default number helper rounds '1.2' to '1.0', wanted behavior is '1'
 * without the decimal part.
 */
class RoundHelper
{

	/**
	 * Rounds number to specified number of decimal points.
     * Also rounds number to minimum decimal points.
	 * 
	 * @param float $numberToRound Number to be rounded.
	 * @param float $precision Number of decimal points.
	 * @return float Rounded number.
	 */
	public static function round($numberToRound, $precision = 0)
    {
        $roundedNumber = number_format($numberToRound, $precision, ".", " ");
        //$roundedNumber = number_format($roundedNumber, $precision, '.', ',');
        $roundedNumber = preg_replace('/\.0+$/', '', $roundedNumber);
        // fix negative zero effect php round function
        if ('' . $roundedNumber == '-0')
            return 0;
        else
            return $roundedNumber;
    }
	
}


